/* config.h -- header file for config.cpp + Config structure

   This file is part of the SIB - simple IPX bridge

   Copyright (C) 2001 Szomraky Stefan

   The SIB is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License, or (at your option) any later version.

   The SIB is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with the SIB; see the file COPYING.
   If not, write to the Free Software Foundation, Inc.,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
   
   Szomraky Stefan
   stsz@gmx.net
 */
#ifndef __CONFIG_H__
#define __CONFIG_H__

#include "sib.h"
#include "version.h"
#include "util.h"
#include <dlfcn.h>

typedef  int( *filter_func)( u_char *, u_int);

struct Config {
    int fdd, fdu;

    int oldPromisc:1;
    int doPromisc:1;
    int doCompression:1;

    int noMACFilter:1;
    int noIPXSMB:1;
    int quiet:1;
    int doMTU:1;

    int debug;
    
    char *remoteHost;
    
    char *interfaceName;
    int interfaceNum;
    int udpPort;
    
    struct pM {
	int IP:1;
	int IPX:1;
    } protoMask;    
    
    
    int statsInterval;
    
    u_int MTU;
    u_char MTUseq;
    
    void *custlib;
    filter_func customFilter;
};

int parseConfig( int, char **);
void printHelp( void);
void printGreet( void);
int setMask( Config *, char *, int);

#endif