/* multiplex.h -- headerfile for multiplex.cpp

   This file is part of the SIB - simple IPX bridge

   Copyright (C) 2001 Szomraky Stefan

   The SIB is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License, or (at your option) any later version.

   The SIB is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with the SIB; see the file COPYING.
   If not, write to the Free Software Foundation, Inc.,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
   
   Szomraky Stefan
   stsz@gmx.net
 */
#ifndef __MULTIPLEX_H__
#define __MULTIPLEX_H__

#include "sib.h"
#include "util.h"
#include "network.h"
#include "ether.h"
#include "stats.h"
#include <malloc.h>

// include only if compression is enabled
#ifdef HAVE_LZO
#include <lzoconf.h>
#include <lzo1x.h>
#endif

struct MPFrame {
 u_char **data;
 u_int *dlen;
 
 u_char parts;
 
 MPFrame()
 {
  data = NULL;
  dlen = NULL;
  parts = 0;
 }
 
 ~MPFrame()
 {
  for( int i = 0; i < parts; i++)
     if( data[i]) free( data[i]);
  
  if( data) free( data);
  if( dlen) free( dlen);
 }
};

int enMultiplex( u_char *, u_int);
int deMultiplex( u_char *, u_int);
int handleMultipacket( u_char *, u_int);

#endif