/* stats.cpp -- functions for the statistics

   This file is part of the SIB - simple IPX bridge

   Copyright (C) 2001 Szomraky Stefan

   The SIB is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License, or (at your option) any later version.

   The SIB is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with the SIB; see the file COPYING.
   If not, write to the Free Software Foundation, Inc.,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
   
   Szomraky Stefan
   stsz@gmx.net
 */
#include "stats.h"

STATENT avg, now;
time_t progStartT = 0;

void newFrame( int direction, u_int len, u_int clen)
{
 if( direction == STAT_SENT) {
  now.fSent++; now.bSent+=len; now.bSentc+=clen;
  avg.fSent++; avg.bSent+=len; avg.bSentc+=clen;
 } 
 else {
  now.fRecv++; now.bRecv+=len; now.bRecvc+=clen;
  avg.fRecv++; avg.bRecv+=len; avg.bRecvc+=clen;
 }
}

void printStats( void)
{
 if( config.statsInterval <= 0) return;
 printf( "--- stats\n");
 printf( "now: sent: %u frames, %u bytes (%u compr - %1.1f%%), %1.1f kBps\n",
	 now.fSent, now.bSent, now.bSentc, (1.0f-((float)now.bSentc/now.bSent))*100.0f,
	 ((float)now.bSentc/config.statsInterval)/1024.0);
 printf( "     recv: %u frames, %u bytes (%u compr - %1.1f%%), %1.1f kBps\n",
	 now.fRecv, now.bRecv, now.bRecvc, (1.0f-((float)now.bRecvc/now.bRecv))*100.0f,
	 ((float)now.bRecvc/config.statsInterval)/1024.0);
 printf( "avg: sent: %u frames, %u bytes (%u compr - %1.1f%%), %1.1f kBps\n",
	 avg.fSent, avg.bSent, avg.bSentc, (1.0f-((float)avg.bSentc/avg.bSent))*100.0f,
	 ((float)avg.bSentc/(time( NULL)-progStartT))/1024.0);
 printf( "     recv: %u frames, %u bytes (%u compr - %1.1f%%), %1.1f kBps\n",
	 avg.fRecv, avg.bRecv, avg.bRecvc, (1.0f-((float)avg.bRecvc/avg.bRecv))*100.0f,
	 ((float)avg.bRecvc/(time( NULL)-progStartT))/1024.0);
 printf( "\n"); 
 now.clear();
}


