/* version.cpp -- greeting and help

   This file is part of the SIB - simple IPX bridge

   Copyright (C) 2001 Szomraky Stefan

   The SIB is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License, or (at your option) any later version.

   The SIB is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with the SIB; see the file COPYING.
   If not, write to the Free Software Foundation, Inc.,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
   
   Szomraky Stefan
   stsz@gmx.net
 */
#include "version.h"

void printGreet( void)
{
 printf( "%s %s %s\n", PROGNAME, VERSION, GREETEXTRA);
}

void printHelp( void)
{
 printGreet();
 printf( "usage: %s <OPTIONS>\n", PROGNAME);
 printf( 
 "needed options:\n"
 "-H <host>     connect to remote <host>\n"
 "-p <port>     set local and remote UDP <port>\n"
 "-i <if>       capture frames from if\n"
 "\n"
 "extra options:\n"
 "-h            this message\n"
#ifdef HAVE_LZO
 "-c            use compression (fast LZO)\n"
#endif
 "-q            quiet mode (no stats, information, errors)\n"
 "-d[LEVEL]     debug mode\n"
 "-v <SECS>     turn on verbose mode (stats are printed every <SECS> secs)\n"
 "-k            don't put interface in promisc mode. See notes at the end.\n"
 "-m            disable MTU size autodiscovery and multipacket frames\n"
 "-a            turn off MAC filtering\n"
 "-f <PROTO>    filter <PROTO>. See notes at the end.\n"
 "-t <PROTO>    tunnel <PROTO>. See notes at the end.\n"
 "-s            don't filter \"SMB over IPX\".\n"
 "              (default is to filter all IPX-SMB packets to reduce traffic)\n"
 "-C <file.so>  load file.so and use it as custom filter (see README)\n"
 "\n\n"
 "NOTES: promiscous mode means, that a network interface receives all frames,\n"
 "         even if the destination MAC does not match (altough that frames are\n"
 "         filtered by the kernel).\n"
 "         Without that, only broadcasts and frames for this interface can be\n"
 "         captured and forwarded.\n"
 "\n"
 "       PROTO: valid protocols are: IP, IPX and ALL. Default is to tunnel IPX\n"
 "       only. -t and -f may be specified more than once.\n"
 "       NOTE: Even -t ALL will not tunnel all 802.3 frames, only IP and IPX.\n"
 "\n"
 "QUICKSTART: %s -H remote_host -p 8999 -i eth0\n\n", PROGNAME);
}
